---
title: 'PaymentRequest: shippingaddresschange event'
slug: Web/API/PaymentRequest/shippingaddresschange_event
tags:
  - API
  - Address
  - Commerce
  - Payment Request
  - Payment Request API
  - PaymentRequest
  - PaymentRequestUpdateEvent
  - Reference
  - Shipping
  - events
  - payment
  - shippingaddresschange
---
<p>{{securecontext_header}}{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The <strong><code>shippingaddresschange</code></strong> event is sent to the {{domxref("PaymentRequest")}} object when the user selects a shipping address or changes details of their shipping address.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PaymentRequestUpdateEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("PaymentRequest.onshippingaddresschange", "onshippingaddresschange")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Usage_notes">Usage notes</h2>

<p>Depending on the browser, the shipping address information may be redacted for privacy reasons. That is, the {{domxref("PaymentAddress")}} which contains the shipping address may have some portions of its content altered, obscured, or left out entirely in order to prevent identifying the user without their consent (since if they choose to have you ship products to them, you'll need their address).</p>

<h2 id="Example">Example</h2>

<p>In this example, a handler for the <code>shippingaddresschange</code> event is set up to validate that the address meets requirements set by the web application.</p>

<pre class="brush: js">const paymentRequest = new PaymentRequest(methodData, details, options);

paymentRequest.addEventListener("shippingaddresschange", event =&gt; {
  let detailsUpdate = checkAddress(paymentRequest.shippingAddress);
  event.updateWith(detailsUpate);
}, false);

const checkAddress = theAddress =&gt; {
  let detailsUpdate = {};

  // Check the address, return a PaymentDetailsUpdate object
  // with any changes or errors.

  return detailsUpdate;
};
</pre>

<p>You can also establish a handler for <code>shippingaddresschange</code> using the {{domxref("PaymentRequest.onshippingaddresschange", "onshippingaddresschange")}} event handler property:</p>

<pre class="brush: js">paymentRequest.onshippingaddresschange = event =&gt; {
  let detailsUpdate = checkAddress(paymentRequest.shippingAddress);
  event.updateWith(detailsUpdate);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dfn-shippingaddresschange','shippingaddresschange')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentRequest.shippingaddresschange_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PaymentRequest.onshippingaddresschange", "onshippingaddresschange")}} event handler property</li>
</ul>
</div>
